def _trampoline_recursion(iterator: iter):
    for item in iterator:
        if isinstance(item, dict):
            continue

        try:
            _trampoline_recursion(iter(item))
        except TypeError:
            pass


def recursive(entity: dict):
    for key, value in entity.items():
        if isinstance(value, str) or isinstance(value, dict):
            continue

        try:
            _trampoline_recursion(iter(value))  # trampoline recursive
        except TypeError:
            continue

if __name__ == '__main__':
    entity = {
        'date': "2017-08-25T19:31:14Z",
        'array': [
            "test",
            "2017-08-25T19:31:14Z",
            {
                'test': "2017-08-25T19:31:14Z",
                'array': [
                    ["test"],
                    ["2017-08-25T19:31:14Z"],
                    ["2017-08-25T19:31:14Z", "2017-08-25T19:31:14Z"],
                ],
                'dict': {
                    'array': ["test", "2017-08-25T19:31:14Z"]
                },
            },
            ["2017-08-25T19:31:14Z"],
            42,
        ],
        'test': True,
    }

    recursive(entity)
